#!/usr/bin/env python3

# schichtleiter
# Copyright (C) 2022  Luca Schmid
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

from argparse import ArgumentParser
from schichtleiter.server import run_server
import sys

if __name__ == '__main__':
    parser = ArgumentParser()
    parser.add_argument('-l', '--listen', default='127.0.0.1')
    parser.add_argument('-p', '--port', default=8000)
    parser.add_argument('url', nargs='+')
    args = parser.parse_args()

    try:
        run_server(args.listen, args.port, args.url)
    except KeyboardInterrupt:
        print()
        print('done')
        sys.exit(0)
